Description

I'm using QGIS with a Panasonic Toughpad FZ-M1 with inbuilt dedicated GPS. I can connect okay to the GPS using View --> Panels -->

GPS information. Satellites and signal strength show up, but no GPS information shows up (i.e. no positional data or any other attributes)

in the GPS information window, no cursor shows on the map, and no scrolling. The GPS reports positional data okay when connected to

GPS Viewer tool, so the problem appears to be specific to QGIS and the Panasonic Toughpad. I have tried the solutions listed here (

http://gis.stackexchange.com/questions/116583/using-the-live-tracking-with-internal-gps) but they do not work for me.

History

#1 - 2015-09-08 12:31 PM - Steven Mizuno

What NMEA sentences are reported by the GPS? One way to see is to enable Log file in GPS Information and connect for a short while, then examine the

log file.

Specifically, QGIS uses the $GPGGA and $GPRMC sentences for position and status. At present $GPGNS and $GPGLL are not handled.

#2 - 2015-09-08 07:17 PM - Chris Lovell

- File Log_2015-09-09.nmea added

Great thanks for the that. I've attached a log file. There are no $GPGGA and $GPRMC lines in the log, and also no $GPGNS and $GPGLL lines. Mostly

$GPGSV data, from what I can see. I'm guessing this is not handled either. Any chance you know of a third party tool that might convert the GPS data to

something handled by QGIS? I'll also submit a feature request. Should I just ask for GPS live tracking support for $GPGSV data?

#3 - 2015-09-09 06:38 AM - Chris Lovell

I managed to solve this. Turns out QGIS does not handle NMEA data with the prefix $GN, only with the prefix $GP. The GPS chip on the Panasonic

Toughpads is a u-blox M8, so I installed u-blox “U-Centre” software, opened and connected to the COM4 port. Then:

View → Configuration view → NMEA (NMEA Protocol)

Change “Main Talker ID” to “1 – GP”

Click SEND, then POLL to check changes were sent to receiver

Now it works perfectly with QGIS live tracking :)

#4 - 2015-09-09 01:04 PM - Steven Mizuno
http://gis.stackexchange.com/questions/116583/using-the-live-tracking-with-internal-gps


That you were seeing the satellites/signal strength told me that the $GPGSV data were being sent (I know too much and assumed things) so I was looking

at why the position data weren't showing.

The log file shows that both GPS and GLONASS satellites are being received and that the results are combined into the various $GN... sentences, with

separate satellite information.

There is already a request #12980 for handling GNSS data (more than just GPS).

#5 - 2015-09-09 06:03 PM - Chris Lovell

- Status changed from Open to Closed

Okay thanks - I'll close this down.

#6 - 2016-06-28 04:45 PM - Peter Smith

Thank you...worked for me too
